# Focus and Highlight
A plugin for [obsidian](https://obsidian.md/) to focus on a specific paragraph in [Reading mode](https://help.obsidian.md/How+to/Read+and+edit+modes).

## Features
- Focus on a specific heading and its children when clicking on them.
	- For now, focusing "only" on lists or other blocks is not supported.

![](demo.gif)

## Usage
Before the plugin is added to the community plugin list, you need to do the following task to install the plugin:
1. Download the `manual_install.zip` on the release page.
2. Open `manual_install.zip` and copy `obsidian-focus-plugin` folder in to `.obsidian/plugins` folder.
3. Enable the plugin named `Focus and Highlight` in Obsidian's `Settings > Community plugins` Tab.

Once the plugin is installed and enabled, you can focus on different headings by clicking on any of them.

## Options
You can adjust the behavior of this plugin by accessing Obsidian's `Settings > Focus and Highlight` Tab.

### Clear Method
This option affects the way to clear the focus state.

#### Click Again
Clear the focus state by clicking again on the focused heading.

#### Click Outside
Clear the focus state by clicking on the blank area at the left or right side of the reading area, which may not work correctly when `Settings > Editor > Readable line length` is turned off.

### Style Settings
With the [Style Settings](https://github.com/mgmeyers/obsidian-style-settings) plugin installed and enabled, you can further customize some visual properties under `Settings > Style Settings > Focus and Highlight`.

#### Dim Opacity
Set the opacity of dimmed elements. Default is 0.1.

#### Dim Speed
Set the speed of the animation in seconds. Default is 0.5.

## Discussion

### Mutiple panes behavior
The plugin now supports multi-pane scenarios. Different panes will be able to focus on their headings, as the following GIF shows.

![](multi_pane.gif)

### Issues
If you encounter any problems or have suggestions about the plugin, please feel free to open issues.
